package com.ruixuan.jiaoyang.service.impl;

import com.alibaba.fastjson.JSONObject;
import com.ruixuan.jiaoyang.mapper.JiaoYangReportMapper;
import com.ruixuan.jiaoyang.service.IJiaoYangReportService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Map;

@Service
public class JiaoYangReportServiceImpl implements IJiaoYangReportService {
    @Autowired
    private JiaoYangReportMapper jiaoYangReportMapper;

    @Override
    public List<JSONObject> item(Map<String, Object> requestMap) {
        return jiaoYangReportMapper.item(requestMap);
    }

    @Override
    public List<JSONObject> itemDetail(Map<String, Object> requestMap) {
        return jiaoYangReportMapper.itemDetail(requestMap);
    }

    @Override
    public List<JSONObject> promoter(Map<String, Object> requestMap) {
        return jiaoYangReportMapper.promoter(requestMap);
    }

    @Override
    public List<JSONObject> anchorOrderDetail(Map<String, Object> requestMap) {
        return jiaoYangReportMapper.anchorOrderDetail(requestMap);
    }

    @Override
    public List<JSONObject> promoterStatistics(Map<String, Object> requestMap) {
        return jiaoYangReportMapper.promoterStatistics(requestMap);
    }

    @Override
    public List<JSONObject> getClipCooperation(Long date, Long promoterId, String promoterName) {
        return jiaoYangReportMapper.getClipCooperation(date, promoterId, promoterName);
    }

    @Override
    public JSONObject getOrderTotal(Map<String, Object> requestMap) {
        return jiaoYangReportMapper.getOrderTotal(requestMap);
    }

    @Override
    public Double getOrderTotalRatio(Map<String, Object> ratioMap) {
        return jiaoYangReportMapper.getOrderTotalRatio(ratioMap);
    }

    @Override
    public JSONObject getServiceAmountTotal(Map<String, Object> requestMap) {
        return jiaoYangReportMapper.getServiceAmountTotal(requestMap);
    }

    @Override
    public JSONObject getAmountTotal(Map<String, Object> requestMap) {
        return jiaoYangReportMapper.getAmountTotal(requestMap);
    }

    @Override
    public Double getAmountTotalRatio(Map<String, Object> ratioMap) {
        return jiaoYangReportMapper.getAmountTotalRatio(ratioMap);
    }

    @Override
    public List<JSONObject> getPromoterRankRatioList(Map<String, Object> requestMap) {
        return jiaoYangReportMapper.getPromoterRankRatioList(requestMap);
    }

    @Override
    public List<JSONObject> getPromoterRatioList(Map<String, Object> requestMap) {
        return jiaoYangReportMapper.getPromoterRatioList(requestMap);
    }

    @Override
    public List<JSONObject> getOrderRankRatioList(Map<String, Object> requestMap) {
        return jiaoYangReportMapper.getOrderRankRatioList(requestMap);
    }

    @Override
    public List<JSONObject> getOrderRankList(Map<String, Object> requestMap) {
        return jiaoYangReportMapper.getOrderRankList(requestMap);
    }

    @Override
    public List<JSONObject> indexStatistics(Map<String, Object> requestMap) {
        return jiaoYangReportMapper.indexStatistics(requestMap);
    }

    @Override
    public JSONObject getTimeIntervalRatio(Map<String, Object> requestMap) {
        return jiaoYangReportMapper.getTimeIntervalRatio(requestMap);
    }

    @Override
    public List<Long> getPromoterIdsByUserIds(List<Long> userIds) {
        return jiaoYangReportMapper.getPromoterIdsByUserIds(userIds);
    }
}
